
---
# tasks file for osm_confluent

- name: Import RMP package
  rpm_key:
    key: "{{ key_url }}"
    state: present

- name: Create service file
  template:
    src: confluent.repo.j2
    dest: /etc/yum.repos.d/confluent.repo

- name: Install confluent platform Open source
  yum:
    name: confluent-platform-oss-2.11
    state: present

- name: Copy kafka and zookeeper properties file
  template:
    src: "{{ item.src }}"
    dest: "{{ item.dest }}"
  with_items:
    - { src: 'zookeeper_properties.j2', dest: '/etc/kafka/zookeeper.properties' }
    - { src: 'server_properties.j2', dest: '/etc/kafka/server.properties' }

- name: Create zookeeper data directory
  file:
    path: /var/lib/zookeeper/data/myid
    state: touch

- name: set zookeeper node id
  shell: echo "{{ server_no }}" > /var/lib/zookeeper/data/myid

- name: Start Confluent service
  shell: confluent start schema-registry
  serial: 3
  register: confluent_status

- name: show confluent status
  debug:
    var: confluent_status
